## librsync 0.9.7

=== debian/changelog ===
librsync (0.9.7-9) unstable; urgency=low

  * Switch to debhelper v9.
  * Use dh_autoreconf --as-needed instead of autotools-dev to fix rpath build
    issue with the multiarch path and reduce librsync1 deps.
  * Fix a format-security warning.
  * Fix an implicit-function-declaration warning in the test suite.
  * Set Multi-Arch: same for librsync1.

 -- Andrey Rahmatullin <wrar@wrar.name>  Sun, 05 Feb 2012 14:56:17 +0600

librsync (0.9.7-8) unstable; urgency=low

  * Adopt the package (Closes: #543849).
  * Bump Standards-Version to 3.9.2 (no change needed).
  * Change source format to 3.0 (quilt).
  * Use autotools_dev debhelper addon instead of manual file copying.
  * Enable -Wl,--as-needed.
  * Remove unused compression-related rdiff options (Closes: #608470).
  * Do not build and install the static library.
  * Do not install librsync.la (Closes: #622495)

 -- Andrey Rahmatullin <wrar@wrar.name>  Wed, 13 Apr 2011 12:37:41 +0600

librsync (0.9.7-7) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 07:58:27 +0200

librsync (0.9.7-6) unstable; urgency=low

  * Updating vcs fields in control file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating section of the debug package.
  * Using correct rfc-2822 date formats in changelog.
  * Wrapping build-depends.
  * Updating to standards version 3.8.2.
  * Adding misc depends.
  * Updating section of the source package.
  * Updating year in copyright file.
  * Using quilt rather than dpatch.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 02 Aug 2009 18:41:09 +0200

librsync (0.9.7-5) unstable; urgency=medium

  * Adding patch to make rdiff aware of -i and -z (Closes: #435894).

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Jul 2008 15:33:00 +0200

librsync (0.9.7-4) unstable; urgency=high

  * Adding patch from upstream to fix problem when transfering >4GB from
    a 32bit to 64bit host (Closes: #355178).
  * Updating manpage patch to remove dead link to Linuxcare Australia
    (Closes: #288758).

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Jun 2008 10:29:00 +0200

librsync (0.9.7-3) unstable; urgency=medium

  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2008 13:59:00 +0200

librsync (0.9.7-2) unstable; urgency=low

  * New maintainer (Closes: #487131).
  * Redone debian packaging from scratch.

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2008 13:14:00 +0200

librsync (0.9.7-1) unstable; urgency=low

  * New upstream release.
    - Large files are now supported.  (Closes: Bug#277032)
  * Fix description of librsync1.  (Closes: Bug#230839)
  * Describe how to use rdiff.  (Closes: Bug#228005, Bug#156457)
  * Trust upstream's autoconfiscation.

 -- Simon Law <sfllaw@debian.org>  Sun, 28 Nov 2004 18:54:00 -0500

librsync (0.9.6-13) unstable; urgency=high

  * Fix FTBFS with a patch from Steinar H. Gunderston.  (Closes: Bug#262463)

 -- Simon Law <sfllaw@debian.org>  Sat, 28 Aug 2004 11:48:05 -0400

librsync (0.9.6-12) unstable; urgency=low

  * librsync-dev should be in libdevel

 -- Simon Law <sfllaw@debian.org>  Fri, 30 Jul 2004 20:19:20 -0400

librsync (0.9.6-11) unstable; urgency=low

  * New Maintainer.  (Closes: Bug#261580)

 -- Simon Law <sfllaw@debian.org>  Fri, 30 Jul 2004 09:21:47 -0400

librsync (0.9.6-10) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Jul 2004 14:58:38 -0500

librsync (0.9.6-9) unstable; urgency=low

  * Made autoconf build-dep versioned.  Closes: #252959.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Jul 2004 09:09:45 -0500

librsync (0.9.6-8) unstable; urgency=low

  * Try using just autoconf now, and drop the other build-deps.
    Was still seeing some errors after -7.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Oct 2003 16:41:41 -0500

librsync (0.9.6-7) unstable; urgency=low

  * Added build-dep on libbz2-dev.
  * Add -a to many debhelper calls.
  * Tightened dh_makeshlibs call in debian/rules.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 11 Oct 2003 22:59:25 -0500

librsync (0.9.6-6) unstable; urgency=low

  * Backed out calls to aclocal, autoconf, automake since they
    somehow caused files to be generated without the .so extension
    sometimes.  Closes: #215289.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 11 Oct 2003 22:47:28 -0500

librsync (0.9.6-5) unstable; urgency=low

  * Fixed clean target so that the Debian diff doesn't have so much junk.
  * Update build-deps on autoconf and automake.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 10 Oct 2003 22:31:53 -0500

librsync (0.9.6-4) unstable; urgency=low

  * Extended description for dev package.  Closes: #210136.
  * configure target runs aclocal, preventing errors.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 09 Oct 2003 16:58:23 -0500

librsync (0.9.6-3) unstable; urgency=low

  * Add CFLAGS=-D_LARGEFILE_SOURCE to configure command line per suggestion
    from upstream to fix tests on hppa.  Closes: #207457.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Aug 2003 08:20:02 -0500

librsync (0.9.6-2) unstable; urgency=low

  * Manually install the rdiff bin because it wasn't anymore.
    Closes: #205469.
  * Fixed description.  Closes: #191658.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 11:25:03 -0500

librsync (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Mon, 11 Aug 2003 17:36:26 -0500

librsync (0.9.5.1-3) unstable; urgency=low

  * Ran autoreconf --force, then rebuilt.  Should make mips even happier
    now.  Closes: #180005.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 07 Feb 2003 14:06:35 -0600

librsync (0.9.5.1-2) unstable; urgency=low

  * Copied /usr/share/misc/config.{guess,sub} over the package defaults.
    This is apparently needed for the mips arch.  Closes: #172497.


