## librsync 2.0.2

=== debian/changelog ===
librsync (2.0.2-1ubuntu1) eoan; urgency=medium

  * debian/control, debian/rules:
    - temporarly build without libb to unblock deja-dup, the library is
      optional and in universe at the moment

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Sep 2019 22:16:19 +0200

librsync (2.0.2-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.4.0.
  * Add Build-Depends-Package: to librsync2.symbols.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 28 Jul 2019 18:25:56 +0500

librsync (2.0.2-1~exp1) experimental; urgency=medium

  * New upstream version.
  * Upload to experimental.
  * Update the format URL and copyright years in d/copyright.
  * Switch to the debhelper compat level 12.
  * Switch from debian/compat to B-D: debhelper-compat.
  * Bump Standards-Version to 4.3.0.
  * Update Vcs-* fields.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 16 Feb 2019 21:08:50 +0500

librsync (2.0.1-1~exp1) experimental; urgency=medium

  * New upstream version.
  * Upload to experimental.
  * Add Build-Depends on cmake.
  * Switch to the debhelper compat level 11.
  * Switch to automatic debug packages.
  * Add 02-GNUInstallDirs.patch to use the CMake GNUInstallDirs module instead
    of hardcoding the install paths.
  * Switch to the libb2 BLAKE2 implementation, add Build-Depends on libb2-dev
    (Closes: #780507).
  * Bump Standards-Version to 4.1.1.
  * Update Vcs-* fields.
  * Update debian/librsync2.symbols (Closes: #857857).
  * Remove zlib1g-dev and libbz2-dev from librsync-dev Depends.
  * Set Rules-Requires-Root: no.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 06 Nov 2017 18:47:26 +0500

librsync (1.0.0-1~exp1) experimental; urgency=medium

  * New upstream version.
  * Upload to experimental.
  * Update upstream homepage URLs and the watch file.
  * Install rdiff.magic into rdiff docs.
  * Move librsync.3 to -dev subpackage, add Conflicts: librsync1.
  * Switch from shlibs to symbols.
  * Drop unused B-D on libbz2-dev and zlib1g-dev.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 09 Mar 2015 15:39:29 +0500

librsync (0.9.7-10) unstable; urgency=low

  * Fix tests with new automake (Closes: #713443).
  * Do not overwrite LDFLAGS from dpkg-buildflags.
  * Add debian/watch.
  * Make the debug subpackage Multi-Arch: same.
  * Use canonical URLs in Vcs-*.
  * Remove the dependency on -dev from -dbg.
  * Bump Standards-Version to 3.9.4.

 -- Andrey Rahmatullin <wrar@wrar.name>  Thu, 27 Jun 2013 00:38:54 +0600
