=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: librsync
 Section: libs
 Priority: optional
-Maintainer: Andrey Rahmatullin <wrar@wrar.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Build-Depends:
- debhelper (>= 9), dh-autoreconf (>= 4~), libbz2-dev, libpopt-dev, zlib1g-dev
-Standards-Version: 3.9.2
-Homepage: http://librsync.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/librsync.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/librsync.git;a=summary
+ debhelper-compat (= 12), cmake, libpopt-dev
+Standards-Version: 4.4.0
+Homepage: https://github.com/librsync/librsync
+Vcs-Git: https://salsa.debian.org/wrar/librsync.git
+Vcs-Browser: https://salsa.debian.org/wrar/librsync
+Rules-Requires-Root: no
 
-Package: librsync1
+Package: librsync2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -26,8 +28,8 @@
 Section: libdevel
 Architecture: any
 Depends:
- ${misc:Depends}, librsync1 (= ${binary:Version}), libbz2-dev, libpopt-dev,
- zlib1g-dev
+ ${misc:Depends}, librsync2 (= ${binary:Version}), libpopt-dev
+Conflicts: librsync1
 Description: rsync remote-delta algorithm library (development)
  librsync implements the rsync remote-delta algorithm, which allows for
  efficient remote updates of a file, without requiring the old and new versions
@@ -35,21 +37,6 @@
  so that it can be easily embedded into network applications.
  .
  This package contains the development files.
-
-Package: librsync-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- ${misc:Depends}, librsync1 (= ${binary:Version}),
- librsync-dev (= ${binary:Version})
-Description: rsync remote-delta algorithm library (debug)
- librsync implements the rsync remote-delta algorithm, which allows for
- efficient remote updates of a file, without requiring the old and new versions
- to both be present at the transmitter. The library uses a stream-based designed
- so that it can be easily embedded into network applications.
- .
- This package contains the debugging symbols.
 
 Package: rdiff
 Section: utils
