=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/librsync-$1\.tar\.gz/ \
  https://github.com/librsync/librsync/tags .*/v(\d\S*)\.tar\.gz
