## librsync 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,14 +17,14 @@
 
 
 project(librsync C)
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.6)
 
 INCLUDE(CMakeDependentOption)
 include(GNUInstallDirs)
 
 set(LIBRSYNC_MAJOR_VERSION 2)
-set(LIBRSYNC_MINOR_VERSION 0)
-set(LIBRSYNC_PATCH_VERSION 2)
+set(LIBRSYNC_MINOR_VERSION 3)
+set(LIBRSYNC_PATCH_VERSION 1)
 
 set(LIBRSYNC_VERSION
   ${LIBRSYNC_MAJOR_VERSION}.${LIBRSYNC_MINOR_VERSION}.${LIBRSYNC_PATCH_VERSION})
@@ -38,6 +38,8 @@
 if (NOT CMAKE_SYSTEM_NAME)
 	message(FATAL_ERROR "No target OS set")
 endif()
+
+option(BUILD_SHARED_LIBS "Build librsync as a shared library." ON)
 
 set(DO_RS_TRACE 0)
 option(ENABLE_TRACE "Compile in detailed trace messages" OFF)
@@ -55,27 +57,14 @@
 endif (ENABLE_COMPRESSION)
 
 include ( CheckIncludeFiles )
-check_include_files ( alloca.h HAVE_ALLOCA_H )
-check_include_files ( dlfcn.h HAVE_DLFCN_H )
-check_include_files ( inttypes.h HAVE_INTTYPES_H )
-check_include_files ( memory.h HAVE_MEMORY_H )
-check_include_files ( stdint.h HAVE_STDINT_H )
-check_include_files ( stdlib.h HAVE_STDLIB_H )
-check_include_files ( strings.h HAVE_STRINGS_H )
-check_include_files ( string.h HAVE_STRING_H )
+check_include_files ( sys/file.h HAVE_SYS_FILE_H )
 check_include_files ( sys/stat.h HAVE_SYS_STAT_H )
 check_include_files ( sys/types.h HAVE_SYS_TYPES_H )
 check_include_files ( unistd.h HAVE_UNISTD_H )
+check_include_files ( fcntl.h HAVE_FCNTL_H )
+check_include_files ( mcheck.h HAVE_MCHECK_H )
+check_include_files ( zlib.h HAVE_ZLIB_H )
 check_include_files ( bzlib.h HAVE_BZLIB_H )
-check_include_files ( fcntl.h HAVE_FCNTL_H )
-check_include_files ( malloc.h HAVE_MALLOC_H )
-check_include_files ( mcheck.h HAVE_MCHECK_H )
-check_include_files ( sys/file.h HAVE_SYS_FILE_H )
-check_include_files ( zlib.h HAVE_ZLIB_H )
-
-#Temporary configuration
-set ( STDC_HEADERS 1 )
-set ( HAVE_PROGRAM_INVOCATION_NAME 0)
 
 # Remove compression support if not needed
 if (NOT ENABLE_COMPRESSION)
@@ -83,9 +72,11 @@
   SET(HAVE_ZLIB_H 0)
 endif (NOT ENABLE_COMPRESSION)
 
+include ( CheckSymbolExists )
+check_symbol_exists ( __func__ "" HAVE___FUNC__ )
+check_symbol_exists ( __FUNCTION__ "" HAVE___FUNCTION__ )
 
 include ( CheckFunctionExists )
-check_function_exists ( alloca HAVE_ALLOCA )
 check_function_exists ( fseeko HAVE_FSEEKO )
 check_function_exists ( fseeko64 HAVE_FSEEKO64 )
 check_function_exists ( _fseeki64 HAVE__FSEEKI64 )
@@ -93,10 +84,6 @@
 check_function_exists ( _fstati64 HAVE__FSTATI64 )
 check_function_exists ( fileno HAVE_FILENO )
 check_function_exists ( _fileno HAVE__FILENO )
-check_function_exists ( memmove HAVE_MEMMOVE )
-check_function_exists ( memset HAVE_MEMSET )
-check_function_exists ( strchr HAVE_STRCHR )
-check_function_exists ( strerror HAVE_STRERROR )
 
 include(CheckTypeSize)
 check_type_size ( "long" SIZEOF_LONG )
@@ -109,7 +96,14 @@
 check_type_size ( "unsigned short" SIZEOF_UNSIGNED_SHORT )
 
 # Check for printf "%zu" size_t formatting support.
-if(CMAKE_CROSSCOMPILING)
+if(WIN32)
+  # CheckCSourceRuns checking for "%zu" succeeds but still gives warnings on win32.
+  set(HAVE_PRINTF_Z OFF)
+  # Not using unsupported %zu generates warnings about using %I64 with MinGW.
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-format")
+  message (STATUS "Compiling to Win32 - printf \"%zu\" size_t formatting support disabled")
+elseif(CMAKE_CROSSCOMPILING)
+  # CheckCSourceRuns doesn't work when cross-compiling; assume C99 compliant support.
   set(HAVE_PRINTF_Z ON)
   message (STATUS "Cross compiling - assuming printf \"%zu\" size_t formatting support")
 else()
@@ -141,8 +135,7 @@
 if (CMAKE_C_COMPILER_ID MATCHES "(Clang|Gnu|GNU)")
   # TODO: Set for MSVC and other compilers.
   # TODO: Set -Werror when the build is clean.
-
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -std=c99 -pedantic")
 endif()
 
 site_name(BUILD_HOSTNAME)
@@ -154,6 +147,8 @@
 # Find POPT
 find_package(POPT)
 if (POPT_FOUND)
+  message (STATUS "POPT_INCLUDE_DIRS  = ${POPT_INCLUDE_DIRS}")
+  message (STATUS "POPT_LIBRARIES = ${POPT_LIBRARIES}")
   include_directories(${POPT_INCLUDE_DIRS})
 endif (POPT_FOUND)
 
@@ -165,16 +160,14 @@
 # Find BZIP
 find_package (BZip2)
 if (BZIP2_FOUND)
-  message (STATUS "Found components for BZIP2")
-  message (STATUS "BZIP2_INCLUDE_DIR  = ${BZIP2_INCLUDE_DIR}")
+  message (STATUS "BZIP2_INCLUDE_DIRS  = ${BZIP2_INCLUDE_DIRS}")
   message (STATUS "BZIP2_LIBRARIES = ${BZIP2_LIBRARIES}")
-  include_directories(${BZIP2_INCLUDE_DIR})
+  include_directories(${BZIP2_INCLUDE_DIRS})
 endif (BZIP2_FOUND)
 
 # Find ZLIB
 find_package (ZLIB)
 if (ZLIB_FOUND)
-  message (STATUS "Found components for ZLIB")
   message (STATUS "ZLIB_INCLUDE_DIRS  = ${ZLIB_INCLUDE_DIRS}")
   message (STATUS "ZLIB_LIBRARIES = ${ZLIB_LIBRARIES}")
   include_directories(${ZLIB_INCLUDE_DIRS})
@@ -183,7 +176,6 @@
 # Find libb2
 find_package(libb2)
 if (LIBB2_FOUND)
-  message (STATUS "Found components for libb2")
   message (STATUS "LIBB2_INCLUDE_DIRS  = ${LIBB2_INCLUDE_DIRS}")
   message (STATUS "LIBB2_LIBRARIES = ${LIBB2_LIBRARIES}")
 endif (LIBB2_FOUND)
@@ -214,7 +206,7 @@
 endif(DOXYGEN_FOUND)
 
 # Code tidy target to reformat code with indent.
-file(GLOB tidy_SRCS src/*.[ch])
+file(GLOB tidy_SRCS src/*.[ch] tests/*.[ch])
 set(TYPE_RE "(\\w+_t)")
 set(CAST_RE "(\\(${TYPE_RE}( \\*+)?\\))")
 add_custom_target(tidy
@@ -246,20 +238,37 @@
 
 add_executable(isprefix_test
     tests/isprefix_test.c src/isprefix.c)
-
 add_test(NAME isprefix_test COMMAND isprefix_test)
+
+add_executable(netint_test
+    tests/netint_test.c src/netint.c src/util.c src/trace.c src/tube.c
+    src/scoop.c src/stream.c)
+add_test(NAME netint_test COMMAND netint_test)
 
 add_executable(rollsum_test
     tests/rollsum_test.c src/rollsum.c)
 add_test(NAME rollsum_test COMMAND rollsum_test)
 
+add_executable(rabinkarp_test
+    tests/rabinkarp_test.c src/rabinkarp.c)
+add_test(NAME rabinkarp_test COMMAND rabinkarp_test)
+add_executable(rabinkarp_perf
+    tests/rabinkarp_perf.c src/rabinkarp.c)
+
 add_executable(hashtable_test
     tests/hashtable_test.c src/hashtable.c)
 add_test(NAME hashtable_test COMMAND hashtable_test)
 
+add_executable(checksum_test
+    tests/checksum_test.c src/checksum.c src/rollsum.c src/rabinkarp.c src/mdfour.c ${blake2_SRCS})
+target_compile_options(checksum_test PRIVATE -DLIBRSYNC_STATIC_DEFINE)
+target_link_libraries(checksum_test ${blake2_LIBS})
+add_test(NAME checksum_test COMMAND checksum_test)
+
 add_executable(sumset_test
     tests/sumset_test.c src/sumset.c src/util.c src/trace.c src/hex.c
-    src/checksum.c src/rollsum.c src/mdfour.c src/hashtable.c ${blake2_SRCS})
+    src/checksum.c src/rollsum.c src/rabinkarp.c src/mdfour.c src/hashtable.c ${blake2_SRCS})
+target_compile_options(sumset_test PRIVATE -DLIBRSYNC_STATIC_DEFINE)
 target_link_libraries(sumset_test ${blake2_LIBS})
 add_test(NAME sumset_test COMMAND sumset_test)
 
@@ -286,25 +295,3 @@
 if (BUILD_RDIFF)
   set(LAST_TARGET rdiff)
 else (BUILD_RDIFF)
-  set(LAST_TARGET rsync)
-endif (BUILD_RDIFF)
-add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
-add_dependencies(check ${LAST_TARGET} isprefix_test rollsum_test hashtable_test sumset_test)
-
-
-enable_testing()
-
-# Create conf files
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)
-
-# We need to be able to #include "file" from a few places,
-# * The original source dir
-# * The generated source dir
-include_directories(${CMAKE_CURRENT_BINARY_DIR}/src)
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
-
-
-########### next target ###############
-
-# Only list the .c files that need to be compiled
-# (Don't list .h files)
