=== debian/changelog ===
librsync (2.3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Update debian/librsync2.symbols.
  * Switch to the debhelper compat level 13.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 06 Aug 2020 00:31:45 +0500
