=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: librsync
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Build-Depends:
- debhelper-compat (= 12), cmake, libpopt-dev
-Standards-Version: 4.4.0
+ debhelper-compat (= 13), cmake, libpopt-dev, libb2-dev
+Standards-Version: 4.5.0
 Homepage: https://github.com/librsync/librsync
 Vcs-Git: https://salsa.debian.org/wrar/librsync.git
 Vcs-Browser: https://salsa.debian.org/wrar/librsync
