=== debian/changelog ===
librsync (2.3.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Add M-A: same to librsync-dev.
  * Remove explicit --as-needed.

  [ Andrey Rahmatullin ]
  * New upstream version (Closes: #1003901).
  * Build the static library (Closes: #980333).
  * Bump Standards-Version to 4.6.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 23 Jan 2022 21:11:47 +0500
