=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andrey Rahmatullin <wrar@debian.org>
 Build-Depends:
  debhelper-compat (= 13), cmake, libpopt-dev, libb2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/librsync/librsync
 Vcs-Git: https://salsa.debian.org/wrar/librsync.git
 Vcs-Browser: https://salsa.debian.org/wrar/librsync
@@ -29,6 +29,7 @@
 Depends:
  ${misc:Depends}, librsync2 (= ${binary:Version}), libpopt-dev
 Conflicts: librsync1
+Multi-Arch: same
 Description: rsync remote-delta algorithm library (development)
  librsync implements the rsync remote-delta algorithm, which allows for
  efficient remote updates of a file, without requiring the old and new versions
