=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddir build-shared -- -DUSE_LIBB2=1
	dh_auto_configure --builddir build-static -- -DUSE_LIBB2=1 -DBUILD_SHARED_LIBS=0

override_dh_auto_build:
	dh_auto_build --builddir build-shared
	dh_auto_build --builddir build-static

override_dh_auto_install:
	dh_auto_install --builddir build-shared
	install -p build-static/librsync.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/tmp/usr/share/man/man1
	install -p doc/rdiff.1 debian/tmp/usr/share/man/man1
	mkdir -p debian/tmp/usr/share/man/man3
	install -p doc/librsync.3 debian/tmp/usr/share/man/man3

override_dh_auto_test:
	dh_auto_test --builddir build-shared
	dh_auto_test --builddir build-static

override_dh_auto_clean:
	dh_auto_clean --builddir build-shared
	dh_auto_clean --builddir build-static
